FLANG

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::characteristics::FunctionResult Struct Reference

## Public Types
using | Attrs = common::EnumSet< Attr, Attr_enumSize >

## Public Member Functions
| FunctionResult (DynamicType)
| FunctionResult (TypeAndShape &&)
| FunctionResult (Procedure &&)
bool | operator== (const FunctionResult &) const
bool | operator!= (const FunctionResult &that) const
bool | IsAssumedLengthCharacter () const
const Procedure * | IsProcedurePointer () const
const TypeAndShape * | GetTypeAndShape () const
void | SetType (DynamicType t)
bool | CanBeReturnedViaImplicitInterface () const
llvm::raw_ostream & | Dump (llvm::raw_ostream &) const

## Static Public Member Functions
static std::optional< FunctionResult > | Characterize (const Symbol &, const IntrinsicProcTable &)

## Public Attributes
Attrs | attrs
std::variant< TypeAndShape, CopyableIndirection< Procedure > > | u

The documentation for this struct was generated from the following files:

- include/flang/Evaluate/characteristics.h
- lib/Evaluate/characteristics.cpp